<div class="row  ">
    <div class="col-lg-12" id="idHotspotPanel">
        <!-- No WLAN -->
        <div class="panel panel-default panel-client" v-if="!wifi_list&&!lan_list">
            <div class="panel-heading">
                <h4>
                    <span class="circle active"></span>{{t($lang.clients.noWlanct)}}.</h4>
            </div>
        </div>
        <!-- Get WLAN -->
        <div class="panel panel-default panel-client" v-else>
            <div class="panel-heading">
                <h4 style="text-transform: uppercase">
                    <span class="circle active"></span>
                    {{t($lang.clients.clients)}}
                </h4>
                <a type="button" class="btn btn-default gli-btn-dark pull-right disabled hide" href="#">
                    {{t($lang.clients.applyAll)}}
                </a>
            </div>
            <div class="panel-body">
                <ul class="nav nav-tabs hide">
                    <li class="active">
                        <a href="#tabActiveClients" data-toggle="tab">
                            {{t($lang.clients.activeCts)}}
                        </a>
                    </li>
                    <li role="presentation">
                        <a href="#tabBlacklist" data-toggle="tab">
                            {{t($lang.clients.blackList)}}
                        </a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade in active" id="tabActiveClients">
                        <div class="panel-clients">
                            <div class="list-group client-list" v-if="qosMange">
                                <span class="list-group-item client-list-heading">
                                    <div>
                                        <ul class="client-list-row ">
                                            <li class="col-xs-2 col-lg-1 wifi-rank hidden-xs" style="padding-left: 15px;">#</li>
                                            <li class="col-xs-6 col-lg-3 col-md-3 wifi-name tex-limited ">
                                                {{t($lang.clients.name)}}
                                            </li>
                                            <li class="col-xs-4 col-lg-4 col-sm-2 col-md-3 wifi-mac hidden-xs hidden-sm">
                                                {{t($lang.clients.ip_mac)}}
                                            </li>
                                            <li class="col-xs-2 col-lg-2 client-list-block">
                                                {{t('Type')}}
                                            </li>
                                            <li class="col-md-1 col-xs-2 client-list-block pull-right">
                                                {{t($lang.clients.block)}}
                                            </li>
                                        </ul>
                                    </div>
                                </span>
                                <div class="clsWifiClientsList">
                                    <!-- WAN -->
                                    <span class="list-group-item client-item clsWifiClientsItem" v-for="(item, index) in wifi_list">
                                        <ul class="client-list-row">
                                            <li class="col-xs-2 col-lg-1 wifi-client-rank hidden-xs" style="padding-left: 15px;">{{index
                                                + 1}}</li>
                                            <li class="col-xs-6 col-lg-3 col-md-3 wifi-client-name tex-limited">
                                                {{item.name}}
                                                <span v-show="item.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-lg-4 col-sm-2 col-md-3 hidden-xs hidden-sm wifi-client-ip-mac">
                                                <span class="wifi-client-ip">{{item.ip}}</span>
                                                <br />
                                                <span class="wifi-client-mac">{{item.mac}}</span>
                                            </li>
                                            <li class="col-xs-2 col-lg-2 client-list-block">
                                                Wi-Fi
                                                <span v-if="item.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-md-1 col-xs-2 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="item.blocked"
                                                    :disabled="item.remote" @change="block(item, index, wifi_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                    <!-- LAN -->
                                    <span class="list-group-item client-item clsLanClientsItem" v-for="(data, index) in lan_list">
                                        <ul class="client-list-row cleanfix">
                                            <li class="col-xs-2 col-lg-1 lan-client-rank hidden-xs" style="padding-left: 15px;">{{wifi_list.length
                                                + index + 1}}</li>
                                            <li class="col-xs-6 col-lg-3 col-md-3 lan-client-name tex-limited">
                                                {{data.name}}
                                                <span v-show="data.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-lg-4 col-sm-2 col-md-3 hidden-xs hidden-sm lan-client-ip-mac">
                                                <span class="lan-client-ip">{{data.ip}}</span>
                                                <br />
                                                <span class="lan-client-mac">{{data.mac}}</span>
                                            </li>
                                            <li class="col-xs-2 col-lg-2 client-list-block">
                                                LAN
                                                <span v-if="data.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-md-1 col-xs-2 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="data.blocked"
                                                    :disabled="data.remote" @change="block(data, index, lan_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                    <!-- unkonw_list -->
                                    <span class="list-group-item client-item clsLanClientsItem" v-for="(data, index) in unkonw_list">
                                        <ul class="client-list-row cleanfix">
                                            <li class="col-xs-2 col-lg-1 lan-client-rank hidden-xs" style="padding-left: 15px;">{{wifi_list.length
                                                + lan_list.length + index + 1}}</li>
                                            <li class="col-xs-6 col-lg-3 col-md-3 lan-client-name tex-limited">
                                                {{data.name}}
                                                <span v-show="data.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-lg-4 col-sm-2 col-md-3 hidden-xs hidden-sm lan-client-ip-mac">
                                                <span class="lan-client-ip">{{data.ip}}</span>
                                                <br />
                                                <span class="lan-client-mac">{{data.mac}}</span>
                                            </li>
                                            <li class="col-xs-2 col-lg-2 client-list-block">
                                                Unknow
                                                <span v-if="data.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-md-1 col-xs-2 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="data.blocked"
                                                    :disabled="data.remote" @change="block(data, index, lan_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                </div>
                            </div>
                            <div class="list-group client-list" v-else>
                                <span class="list-group-item client-list-heading">
                                    <div>
                                        <ul class="client-list-row ">
                                            <li class="col-xs-2 col-sm-1 hidden-sm wifi-rank" style="padding-left: 15px;">#</li>
                                            <li class="col-xs-5 col-sm-2 wifi-name tex-limited ">
                                                {{t($lang.clients.name)}}
                                            </li>
                                            <li class="col-xs-4 col-sm-2 visible-lg wifi-mac">
                                                {{t($lang.clients.ip_mac)}}
                                            </li>
                                            <li class="col-xs-3 col-sm-2 col-md-2 col-lg-1 client-list-block" style="text-align: center">
                                                {{t('Type')}}
                                            </li>
                                            <li class="col-xs-5 client-list-block hidden-xs" style="text-align: center">
                                                {{t('Upload')}} / {{t('Download')}}
                                            </li>
                                            <li class="col-xs-2 col-sm-1 client-list-block pull-right">
                                                {{t($lang.clients.block)}}
                                            </li>
                                        </ul>
                                    </div>
                                </span>
                                <div class="clsWifiClientsList">
                                    <!-- WAN -->
                                    <span class="list-group-item client-item clsWifiClientsItem" v-for="(item, index) in wifi_list">
                                        <ul class="client-list-row">
                                            <li class="col-xs-2 col-sm-1 hidden-sm wifi-client-rank" style="padding-left: 15px;">{{index
                                                + 1}}</li>
                                            <li class="col-xs-5 col-sm-2 wifi-client-name tex-limited">
                                                {{item.name}}
                                                <span v-show="item.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-sm-2 visible-lg wifi-client-ip-mac">
                                                <span class="wifi-client-ip">{{item.ip}}</span>
                                                <br />
                                                <span class="wifi-client-mac">{{item.mac}}</span>
                                            </li>
                                            <li class="col-xs-3 col-sm-2 col-md-2 col-lg-1 client-list-block" style="text-align: center">
                                                Wi-Fi
                                                <span v-if="item.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-xs-5 client-list-block hidden-xs" style="text-align: center">
                                                <span>
                                                    <span class="fa fa-arrow-up"></span>
                                                    <input type="text" style="width: 50px" v-model="item.uload" @input="inputload">
                                                    Kb/s
                                                </span>&nbsp;
                                                <span class="fa fa-italic"></span>&nbsp;&nbsp;
                                                <span>
                                                    <span class="fa fa-arrow-down"></span>
                                                    <input type="text" style="width: 50px" v-model="item.dload" @input="inputload">
                                                    Kb/s
                                                </span>
                                                <gl-btn style="padding: 4px 12px;font-size: 12px;margin-left: 10px"
                                                    type="default" @click="setQos(item)">{{t('OK')}}</gl-btn>

                                            </li>

                                            <li class="col-xs-2 col-sm-1 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="item.blocked"
                                                    :disabled="item.remote" @change="block(item, index, wifi_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                    <!-- LAN -->
                                    <span class="list-group-item client-item clsLanClientsItem" v-for="(data, index) in lan_list">
                                        <ul class="client-list-row cleanfix">
                                            <li class="col-xs-2 col-sm-1 hidden-sm lan-client-rank" style="padding-left: 15px;">{{wifi_list.length
                                                + index + 1}}</li>
                                            <li class="col-xs-5 col-sm-2 lan-client-name tex-limited">
                                                {{data.name}}
                                                <span v-show="data.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-sm-2 visible-lg lan-client-ip-mac">
                                                <span class="lan-client-ip">{{data.ip}}</span>
                                                <br />
                                                <span class="lan-client-mac">{{data.mac}}</span>
                                            </li>
                                            <li class="col-xs-3 col-sm-2 col-md-2 col-lg-1 client-list-block" style="text-align: center">
                                                LAN
                                                <span v-if="data.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-xs-5 client-list-block hidden-xs" style="text-align: center">
                                                <span>
                                                    <span class="fa fa-arrow-up"></span>
                                                    <input type="text" style="width: 50px" v-model="data.uload" @input="inputload">
                                                    Kb/s
                                                </span>&nbsp;
                                                <span class="fa fa-italic"></span>&nbsp;&nbsp;
                                                <span>
                                                    <span class="fa fa-arrow-down"></span>
                                                    <input type="text" style="width: 50px" v-model="data.dload" @input="inputload">
                                                    Kb/s
                                                </span>
                                                <gl-btn style="padding: 4px 12px;font-size: 12px;margin-left: 10px"
                                                    type="default" @click="setQos(data)">{{t('OK')}}</gl-btn>
                                            </li>
                                            <li class="col-xs-2 col-sm-1 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="data.blocked"
                                                    :disabled="data.remote" @change="block(data, index, lan_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                    <!-- unkonw_list -->
                                    <span class="list-group-item client-item clsLanClientsItem" v-for="(data, index) in unkonw_list">
                                        <ul class="client-list-row cleanfix">
                                            <li class="col-xs-2 col-sm-1 hidden-sm lan-client-rank" style="padding-left: 15px;">{{wifi_list.length
                                                + lan_list.length + index + 1}}</li>
                                            <li class="col-xs-5 col-sm-2 lan-client-name tex-limited">
                                                {{data.name}}
                                                <span v-show="data.type == '5G'" class="badge badge-pill badge-secondary"
                                                    style="background: #cccccc">5G</span>
                                            </li>
                                            <li class="col-xs-4 col-sm-2 visible-lg lan-client-ip-mac">
                                                <span class="lan-client-ip">{{data.ip}}</span>
                                                <br />
                                                <span class="lan-client-mac">{{data.mac}}</span>
                                            </li>
                                            <li class="col-xs-3 col-sm-2 col-md-2 col-lg-1 client-list-block" style="text-align: center">
                                                Unknow
                                                <span v-if="data.remote">- {{t($lang.clients.you)}}</span>
                                            </li>
                                            <li class="col-xs-5 client-list-block" style="text-align: center">
                                                <span>
                                                    <span class="fa fa-arrow-up"></span>
                                                    <input type="text" style="width: 50px" v-model="data.uload" @input="inputload">
                                                    Kb/s
                                                </span>&nbsp;
                                                <span class="fa fa-italic"></span>&nbsp;&nbsp;
                                                <span>
                                                    <span class="fa fa-arrow-down"></span>
                                                    <input type="text" style="width: 50px" v-model="data.dload" @input="inputload">
                                                    Kb/s
                                                </span>
                                                <gl-btn style="padding: 4px 12px;font-size: 12px;margin-left: 10px"
                                                    type="default" @click="setQos(item)">{{t('OK')}}</gl-btn>
                                            </li>
                                            <li class="col-xs-2 col-sm-1 pull-right">
                                                <gl-tg-btn size="22px" class="btn-toggler" v-model="data.blocked"
                                                    :disabled="data.remote" @change="block(data, index, lan_list)"
                                                    theme="default"></gl-tg-btn>
                                            </li>
                                        </ul>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>